Author

Topic: HOWTO: Compiling Bitcoin on Ubuntu 10.04 (Karmic) (Read 9368 times)

newbie
Activity: 56
Merit: 0
November 30, 2010, 05:32:42 PM
#7
That's a really well written walkthough.  Someone should confirm if they followed it and didn't run into any snags.



Worked for me
newbie
Activity: 14
Merit: 0
It works perfectly Smiley
full member
Activity: 307
Merit: 101
Working from a clean install of Ubuntu 10.04 64:

Testing your guide Smiley

The line:
sudo apt-get install build-essential libgtk2.0-dev libssl-dev libdb4.7-dev libdb4.7++-dev libboost-all-dev checkinstall svn git
Returns the error:
E: Couldn't find package svn

Oops, I forgot that the package is actually named subversion. I'll update the post now.
newbie
Activity: 14
Merit: 0
Working from a clean install of Ubuntu 10.04 64:

Testing your guide Smiley

The line:
sudo apt-get install build-essential libgtk2.0-dev libssl-dev libdb4.7-dev libdb4.7++-dev libboost-all-dev checkinstall svn git
Returns the error:
E: Couldn't find package svn
founder
Activity: 364
Merit: 3077
That's a really well written walkthough.  Someone should confirm if they followed it and didn't run into any snags.

newbie
Activity: 14
Merit: 0
An excellent guide. Thank you so much for your efforts - it will certainly help me Smiley
full member
Activity: 307
Merit: 101
I wrote up a basic guide on how to compile Bitcoin on Ubuntu. I hope it proves useful to anyone still having issues compiling the graphical client.

http://lickthesalt.com/2010/08/19/compiling-bitcoin-on-ubuntu-10-04-karmic/
Jump to: